Bug 1398673 - autofs map resolution doesn't work offline
Summary: autofs map resolution doesn't work offline
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: sssd
Version: 7.3
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: rc
: ---
Assignee: SSSD Maintainers
QA Contact: Steeve Goveas
Marc Muehlfeld
URL:
Whiteboard:
: 1401262 (view as bug list)
Depends On: 1382602
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-11-25 14:30 UTC by Marcel Kolaja
Modified: 2020-05-04 10:59 UTC (History)
13 users (show)

Fixed In Version: sssd-1.14.0-43.el7_3.10
Doc Type: Bug Fix
Doc Text:
Previously, if the System Security Services Daemon (SSSD) failed to contact the autofs LDAP data provider, the autofs responder did not return data that was already cached locally. To fix the problem, the autofs responder has been updated and as a result, SSSD now returns cached autofs data if the LDAP server is not available.
Clone Of: 1382602
Environment:
Last Closed: 2017-01-17 18:10:20 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github SSSD sssd issues 4173 None closed autofs map resolution doesn't work offline 2020-08-31 10:29:21 UTC
Red Hat Product Errata RHBA-2017:0078 normal SHIPPED_LIVE sssd bug fix update 2017-01-17 22:51:58 UTC

Description Marcel Kolaja 2016-11-25 14:30:26 UTC
This bug has been copied from bug #1382602 and has been proposed
to be backported to 7.3 z-stream (EUS).

Comment 4 Dan Lavu 2017-01-06 19:04:16 UTC
Verified against sssd-1.14.0-43.el7_3.10.x86_64

[root@sssd x86_64]# automount -m 

autofs dump map information
===========================

global options: none configured

Mount point: /misc

source(s):

  instance type(s): file 
  map: /etc/auto.misc

  cd | -fstype=iso9660,ro,nosuid,nodev  :/dev/cdrom


Mount point: /net

source(s):

  type: hosts

  ovirt.domain.com | (null)
  vpn.lavu.local | (null)
  localhost | (null)


Mount point: /home/domain.com

source(s):

  instance type(s): sss 
  map: auto.home

  * | -acl,rw nfs.domain.com:/home/&


[root@sssd x86_64]# pkill -USR1 sssd
[root@sssd x86_64]# automount -m 

autofs dump map information
===========================

global options: none configured

Mount point: /misc

source(s):

  instance type(s): file 
  map: /etc/auto.misc

  cd | -fstype=iso9660,ro,nosuid,nodev  :/dev/cdrom


Mount point: /net

source(s):

  type: hosts

  ovirt.domain.com | (null)
  vpn.lavu.local | (null)
  localhost | (null)


Mount point: /home/domain.com

source(s):

  instance type(s): sss 
  map: auto.home

  * | -acl,rw nfs.domain.com:/home/&

Comment 6 errata-xmlrpc 2017-01-17 18:10:20 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2017-0078.html

Comment 7 Jakub Hrozek 2017-01-20 21:38:21 UTC
*** Bug 1401262 has been marked as a duplicate of this bug. ***


Note You need to log in before you can comment on or make changes to this bug.